package finance.chai.chai_webview_plugin;

import android.content.Context;

import io.flutter.plugin.common.PluginRegistry;
import io.flutter.plugin.common.StandardMessageCodec;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.plugin.platform.PlatformViewFactory;

public class ChaiWebviewFactory extends PlatformViewFactory {
    private final PluginRegistry.Registrar registrar;

    public ChaiWebviewFactory(PluginRegistry.Registrar registrar) {
        super(StandardMessageCodec.INSTANCE);
        this.registrar = registrar;
    }

    @Override
    public PlatformView create(Context context, int id, Object args) {
        return new ChaiWebView(context, registrar, id, args);
    }
}
