//
//  ChaiWebPlatformView.h
//  chai_bio_auth
//
//  Created by Jeff Woo on 04/09/2019.
//

#import <Foundation/Foundation.h>
#import <Flutter/Flutter.h>
#import <WebKit/WebKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface ChaiWebPlatformView : NSObject <FlutterPlatformView, WKUIDelegate, WKNavigationDelegate, UIScrollViewDelegate>
{
  FlutterMethodChannel *channel;
  UIViewController *viewController;

  BOOL _enableAppScheme;
  BOOL _enableZoom;
  NSString* _invalidUrlRegex;
}

@property (nonatomic, retain) WKWebView *webview;

- (id)initWithArgs:(id)args
    viewIdentifier:(int64_t)viewId
   binaryMessenger: (NSObject<FlutterBinaryMessenger>*)messenger
             frame:(CGRect)rect viewController:(UIViewController *)_viewController;

@end

NS_ASSUME_NONNULL_END
