package finance.chai.chai_webview_plugin;

import io.flutter.BuildConfig;
import io.flutter.plugin.common.PluginRegistry;
import timber.log.Timber;

public class ChaiWebviewPlugin {
    private final static String CHAI_WEBVIEW = "chai_webview";

    public static void registerWith(PluginRegistry.Registrar registrar) {
        setupTimber();
        registrar.platformViewRegistry().registerViewFactory(CHAI_WEBVIEW, new ChaiWebviewFactory(registrar));
    }

    private static void setupTimber() {
        if (Timber.treeCount() == 0 && BuildConfig.DEBUG) {
            Timber.plant(new Timber.DebugTree());
        }
    }
}
